Last Comment Bug 711818 - MOZILLA_GUARD_OBJECT_NOTIFIER* should use a MOZ_ prefix to follow MFBT style
: MOZILLA_GUARD_OBJECT_NOTIFIER* should use a MOZ_ prefix to follow MFBT style
Status: RESOLVED FIXED
[good first bug][mentor=Ms2ger]
: dev-doc-complete
Product: Core
Classification: Components
Component: MFBT (show other bugs)
: Trunk
: All All
: -- minor (vote)
: mozilla12
Assigned To: Michael Kohler [:mkohler]
:
Mentors:
Depends on:
Blocks: 672796
  Show dependency treegraph
 
Reported: 2011-12-18 01:20 PST by :Ms2ger (⌚ UTC+1/+2)
Modified: 2013-12-24 07:46 PST (History)
6 users (show)
bzbarsky: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch v1 (18.31 KB, patch)
2012-01-07 15:31 PST, Michael Kohler [:mkohler]
cjones.bugs: review+
Ms2ger: feedback+
Details | Diff | Splinter Review

Comment 1 :Ms2ger (⌚ UTC+1/+2) 2011-12-18 06:51:56 PST
And of the two latter links should be <http://mxr.mozilla.org/mozilla-central/ident?i=MOZILLA_DECL_USE_GUARD_OBJECT_NOTIFIER>.
Comment 2 Michael Kohler [:mkohler] 2012-01-07 15:31:02 PST
Created attachment 586737 [details] [diff] [review]
Patch v1
Comment 3 :Ms2ger (⌚ UTC+1/+2) 2012-01-08 00:24:29 PST
Comment on attachment 586737 [details] [diff] [review]
Patch v1

Looks good, thanks! Once cjones approves, we can land this.
Comment 4 Boris Zbarsky [:bz] 2012-01-09 21:32:27 PST
https://hg.mozilla.org/integration/mozilla-inbound/rev/71eb0a8829cf

Thanks for the patch!
Comment 5 Ed Morley [:emorley] 2012-01-10 11:52:37 PST
https://hg.mozilla.org/mozilla-central/rev/71eb0a8829cf
Comment 6 :Ms2ger (⌚ UTC+1/+2) 2012-02-02 10:02:31 PST
Apparently mentioned on https://developer.mozilla.org/en/Using_RAII_classes_in_Mozilla
Comment 7 Daniel Holbert [:dholbert] 2013-12-24 07:46:29 PST
Fixed documentation: https://developer.mozilla.org/en-US/docs/Using_RAII_classes_in_Mozilla$compare?to=510637&from=510635

Note You need to log in before you can comment on or make changes to this bug.